function augment_init(augment)
    -- Fetch the owner of the augment.
    local owner = augment:owner();

    -- Change the element of the owner.
    owner:set_element(Element.Aqua);

    -- Create the armor property.
    -- Electric attacks will deal half damage, with a minimum of 1 damage.
    local ElecArmr = AuxProp.new()
        :require_hit_element(Element.Aqua)
        :decrease_total_damage("clamp(DAMAGE, 1, DAMAGE / 2)")

    -- Add the property to the player.
    owner:add_aux_prop(ElecArmr)
end
